2018-08-17 15:45 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0003151FSSCPPlatform-Engine interactionpublic2015-03-27 18:51
Reporterniffiwan 
Assigned Toniffiwan 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.7.2 RC5 
Target Version3.7.4Fixed in Version 
Summary0003151: Issues with -mod entries on systems with case-sensitive filesystems
DescriptionThe MediaVPs (since the 3.6.12 patch) have used a mod directory with capitals in the name. Most mods ship their mod.ini file with a reference to an all lower-case name. This is not an issue on Windows and OSX (with HFS+) because these filesystems are case-preserving. However on Linux and BSD the default filesystems are case-sensitive and thus a number of support issues have occurred with Linux/BSD users and the recent MediaVPs_2014.
Steps To ReproduceUse the Installer to install any mod that has mediavps_2014 as a dependency (e.g. Blueplanet, FSPort, JAD2.21)
Select the mod & run FSO
Note the large number of warnings due to missing data
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0016573

niffiwan (developer)

I've created a patch that'll perform case-insensitive directory searches and add all matches to the -mod data structures used by FSO.

https://github.com/niffiwan/fs2open.github.com/commit/aac7ae7f812feeae7fafe21a48e1c78c4c2c06b3

And here's the branch:

https://github.com/niffiwan/fs2open.github.com/tree/case-insensitive-mod

I'd like to get some feedback and testing from other Linux/BSD users.

~0016574

m_m (developer)

The code looks good.

~0016577

niffiwan (developer)

Thanks for the review. Phantom_Hoover has also tested and reported that the patch works so I'll commit this in a day or so.

~0016581

niffiwan (developer)

Fix committed to trunk@11291.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2015-03-25 06:34 niffiwan New Issue
2015-03-25 06:34 niffiwan Status new => assigned
2015-03-25 06:34 niffiwan Assigned To => niffiwan
2015-03-25 06:37 niffiwan Note Added: 0016573
2015-03-25 06:37 niffiwan Status assigned => code review
2015-03-25 08:14 m_m Note Added: 0016574
2015-03-26 20:18 niffiwan Note Added: 0016577
2015-03-27 18:51 niffiwan Changeset attached => fs2open trunk r11291
2015-03-27 18:51 niffiwan Note Added: 0016581
2015-03-27 18:51 niffiwan Status code review => resolved
2015-03-27 18:51 niffiwan Resolution open => fixed
+Issue History